classification
Title: Add more constants to zlib module
Type: Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, xiang.zhang
Priority: normal Keywords: patch

Created on 2018-02-28 08:59 by xiang.zhang, last changed 2018-03-07 05:55 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5988 merged xiang.zhang, 2018-03-05 16:23
PR 6012 merged miss-islington, 2018-03-07 05:05
PR 6013 merged miss-islington, 2018-03-07 05:06
Messages (4)
msg313053 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-02-28 08:59
Inspired by https://github.com/python/cpython/pull/5511, zlib module in Python lacks some constants exposed by C zlib library, and some constants are not documented.
msg313371 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-03-07 05:05
New changeset bc3f2289b9007396bfb7f986bee477b6176c1822 by Xiang Zhang in branch 'master':
bpo-32969: Expose some missing constants in zlib and fix the doc (GH-5988)
https://github.com/python/cpython/commit/bc3f2289b9007396bfb7f986bee477b6176c1822
msg313372 - (view) Author: miss-islington (miss-islington) Date: 2018-03-07 05:26
New changeset c4d77a661138debbbe584b8b08410afc8719a9b1 by Miss Islington (bot) in branch '3.7':
bpo-32969: Expose some missing constants in zlib and fix the doc (GH-5988)
https://github.com/python/cpython/commit/c4d77a661138debbbe584b8b08410afc8719a9b1
msg313373 - (view) Author: miss-islington (miss-islington) Date: 2018-03-07 05:46
New changeset 7592c0a686a80b9fbe2e6d519a486aca58b3260b by Miss Islington (bot) in branch '3.6':
bpo-32969: Expose some missing constants in zlib and fix the doc (GH-5988)
https://github.com/python/cpython/commit/7592c0a686a80b9fbe2e6d519a486aca58b3260b
History
Date User Action Args
2018-03-07 05:55:49xiang.zhangsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-03-07 05:46:13miss-islingtonsetmessages: + msg313373
2018-03-07 05:26:22miss-islingtonsetnosy: + miss-islington
messages: + msg313372
2018-03-07 05:06:45miss-islingtonsetpull_requests: + pull_request5778
2018-03-07 05:05:47miss-islingtonsetpull_requests: + pull_request5777
2018-03-07 05:05:39xiang.zhangsetmessages: + msg313371
2018-03-06 01:43:41xiang.zhangsettype: enhancement ->
versions: + Python 3.6, Python 3.7
2018-03-05 16:23:36xiang.zhangsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5755
2018-02-28 08:59:00xiang.zhangcreate